%global shortname gossip

Name:             sonatype-gossip
Version:          1.7
Release:          20%{?dist}
Summary:          SLF4j Gossip Provider
License:          ASL 2.0
URL:              http://github.com/jdillon/gossip

# git clone git://github.com/jdillon/gossip.git
# cd gossip/ && git checkout gossip-1.7
# git archive --format=tar --prefix=gossip-1.7/ gossip-1.7 | xz > gossip-1.7.tar.xz
Source0:          %{shortname}-%{version}.tar.xz
Patch0:           %{shortname}-%{version}-use-java5-modello.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.mycila.maven-license-plugin:maven-license-plugin)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:    mvn(org.fusesource.jansi:jansi)
BuildRequires:    mvn(org.slf4j:slf4j-api)
BuildRequires:    mvn(org.sonatype.forge:forge-parent:pom:)

%description
Gossip is a plugin for SLF4j which has simple and flexible configuration.

%package bootstrap
Summary:          Gossip Bootstrap

%description bootstrap
Contains just enough Gossip to allow the
internal org.sonatype.gossip.Log to function.

%package bootstrap-slf4j
Summary:          Gossip Bootstrap SLF4j

%description bootstrap-slf4j
SLF4j bindings for Gossip Bootstrap.

%package core
Summary:          Gossip Core

%description core
Gossip Core.

%package extra
Summary:          Gossip Extra

%description extra
Gossip Extra.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%package slf4j
Summary:          Gossip SLF4j

%description slf4j
Gossip SLF4j.

%package support
Summary:          Gossip Support

%description support
Gossip Support, helper and utilities.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1

%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-gossip
%license header.txt

%files bootstrap -f .mfiles-gossip-bootstrap
%doc README.md
%license header.txt

%files bootstrap-slf4j -f .mfiles-gossip-bootstrap-slf4j
%files core -f .mfiles-gossip-core
%license header.txt

%files extra -f .mfiles-gossip-extra

%files javadoc -f .mfiles-javadoc
%license header.txt

%files slf4j -f .mfiles-gossip-slf4j
%files support -f .mfiles-gossip-support

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 gil cattaneo <puntogil@libero.it> 1.7-16
- fix FTBFS
- adapt to current guideline

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 18 2014 Marek Goldmann <mgoldman@redhat.com> - 1.7-12
- Switch to xmvn

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.7-10
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-9
- Remove unneeded animal-sniffer dependency

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.7-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-3
- Changed name to sonatype-gossip

* Mon Sep 19 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-2
- Spec file cleanup

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-1
- Initial packaging

